openSUSE Security Update : libzypp (openSUSE-SU-2013:1432-1)

Medium Nessus Plugin ID 75133


The remote openSUSE host is missing a security update.


libzypp was adjusted to enhance the RPM GPG key import/handling to avoid a problem with multiple key blobs.

Attackers able to supplying a repository could let the packagemanager show another keys fingerprint while a second one was actually used to sign the repository (CVE-2013-3704).


Update the affected libzypp packages.

See Also

Plugin Details

Severity: Medium

ID: 75133

File Name: openSUSE-2013-692.nasl

Version: $Revision: 1.1 $

Type: local

Agent: unix

Published: 2014/06/13

Modified: 2014/06/13

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 4.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:N

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libzypp, p-cpe:/a:novell:opensuse:libzypp-debuginfo, p-cpe:/a:novell:opensuse:libzypp-debugsource, p-cpe:/a:novell:opensuse:libzypp-devel, cpe:/o:novell:opensuse:12.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2013/08/28

Reference Information

CVE: CVE-2013-3704

OSVDB: 99029